import greenfoot.*;
import packages.button.*;
public class Selector extends Button{
    private int key;
    private Player p;
    public Selector(Player p, int key){
        super(generateImage(p.getColor()), "", 0, false);
        this.key = key;
        this.p = p;
    }
    private static GreenfootImage generateImage(Color color){
        GreenfootImage image = new GreenfootImage(Player.SIZE - 3, Player.SIZE - 3);
        image.setColor(color);
        image.fill();
        image = new GreenfootImage(Player.SIZE, Player.SIZE);
        image.setColor(color);
        image.drawOval(0, 0, image.getWidth() - 1, image.getHeight() - 1);
        return image;
    }
    public void run(){
        if(clicked()||(key + "").equals(Game.lastKey)){
            ((Game)getWorld()).emulate(key + "");
            getWorld().removeObject(this);
        }
        else if(touched()){
            ((Game)getWorld()).drawPreview(p.getLocation(), getX(), getY(), p.getColor());
        }
    }
}